Index: src/BoundaryLineSet.cpp
===================================================================
--- src/BoundaryLineSet.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/BoundaryLineSet.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -62,9 +62,9 @@
  * \param number number of the list
  */
-BoundaryLineSet::BoundaryLineSet(BoundaryPointSet * const Point1, BoundaryPointSet * const Point2, const int number)
-{
-  Info FunctionInfo(__func__);
-  // set number
-  Nr = number;
+BoundaryLineSet::BoundaryLineSet(BoundaryPointSet * const Point1, BoundaryPointSet * const Point2, const int number) :
+  Nr(number),
+  skipped(false)
+{
+  Info FunctionInfo(__func__);
   // set endpoints in ascending order
   SetEndpointsOrdered(endpoints, Point1, Point2);
@@ -72,6 +72,4 @@
   Point1->AddLine(this); //Taken out, to check whether we can avoid unwanted double adding.
   Point2->AddLine(this); //
-  // set skipped to false
-  skipped = false;
   // clear triangles list
   DoLog(0) && (Log() << Verbose(0) << "New Line with endpoints " << *this << "." << endl);
Index: src/BoundaryPointSet.cpp
===================================================================
--- src/BoundaryPointSet.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/BoundaryPointSet.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -27,5 +27,7 @@
  */
 BoundaryPointSet::BoundaryPointSet() :
-  LinesCount(0), value(0.), Nr(-1)
+  LinesCount(0),
+  value(0.),
+  Nr(-1)
 {
   Info FunctionInfo(__func__);
@@ -38,5 +40,8 @@
  */
 BoundaryPointSet::BoundaryPointSet(TesselPoint * const Walker) :
-  LinesCount(0), node(Walker), value(0.), Nr(Walker->nr)
+  LinesCount(0),
+  node(Walker),
+  value(0.),
+  Nr(Walker->nr)
 {
   Info FunctionInfo(__func__);
Index: src/CandidateForTesselation.cpp
===================================================================
--- src/CandidateForTesselation.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/CandidateForTesselation.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -33,5 +33,9 @@
  */
 CandidateForTesselation::CandidateForTesselation(BoundaryLineSet* line) :
-  BaseLine(line), ThirdPoint(NULL), T(NULL), ShortestAngle(2. * M_PI), OtherShortestAngle(2. * M_PI)
+  BaseLine(line),
+  ThirdPoint(NULL),
+  T(NULL),
+  ShortestAngle(2. * M_PI),
+  OtherShortestAngle(2. * M_PI)
 {
   Info FunctionInfo(__func__);
@@ -42,9 +46,13 @@
  */
 CandidateForTesselation::CandidateForTesselation(TesselPoint *candidate, BoundaryLineSet* line, BoundaryPointSet* point, const Vector &OptCandidateCenter, const Vector &OtherOptCandidateCenter) :
-  BaseLine(line), ThirdPoint(point), T(NULL), ShortestAngle(2. * M_PI), OtherShortestAngle(2. * M_PI)
+  BaseLine(line),
+  ThirdPoint(point),
+  T(NULL),
+  OptCenter(OptCandidateCenter),
+  OtherOptCenter(OtherOptCandidateCenter),
+  ShortestAngle(2. * M_PI),
+  OtherShortestAngle(2. * M_PI)
 {
   Info FunctionInfo(__func__);
-  OptCenter = OptCandidateCenter;
-  OtherOptCenter = OtherOptCandidateCenter;
 };
 
Index: src/ConfigFileBuffer.cpp
===================================================================
--- src/ConfigFileBuffer.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/ConfigFileBuffer.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -51,5 +51,9 @@
 /** Constructor for ConfigFileBuffer class.
  */
-ConfigFileBuffer::ConfigFileBuffer() : buffer(NULL), LineMapping(NULL), CurrentLine(0), NoLines(0)
+ConfigFileBuffer::ConfigFileBuffer() :
+    buffer(NULL),
+    LineMapping(NULL),
+    CurrentLine(0),
+    NoLines(0)
 {
 };
@@ -58,5 +62,9 @@
  * \param *filename file name
  */
-ConfigFileBuffer::ConfigFileBuffer(const char * const filename) : buffer(NULL), LineMapping(NULL), CurrentLine(0), NoLines(0)
+ConfigFileBuffer::ConfigFileBuffer(const char * const filename) :
+    buffer(NULL),
+    LineMapping(NULL),
+    CurrentLine(0),
+    NoLines(0)
 {
   InitFileBuffer(filename);
Index: src/Helpers/Info.cpp
===================================================================
--- src/Helpers/Info.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/Helpers/Info.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -19,8 +19,8 @@
  * \return Info instance
  */
-Info::Info(const char *msg)
+Info::Info(const char *msg) :
+  FunctionName(msg)
 {
   verbosity++;
-  FunctionName = msg;
   DoLog(0) && (Log() << Verbose(0) << "Begin of " << FunctionName << endl);
 };
Index: src/Helpers/errorlogger.cpp
===================================================================
--- src/Helpers/errorlogger.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/Helpers/errorlogger.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -24,14 +24,11 @@
  */
 errorLogger::errorLogger()
-{
-  verbosity = 2;
-};
+{};
 
 /**
  * Destructor. Better use purgeInstance().
  */
-errorLogger::~errorLogger() {
-  verbosity = 2;
-}
+errorLogger::~errorLogger()
+{}
 
 CONSTRUCT_SINGLETON(errorLogger)
Index: src/Helpers/logger.cpp
===================================================================
--- src/Helpers/logger.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/Helpers/logger.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -25,14 +25,10 @@
  */
 logger::logger()
-{
-  verbosity = 2;
-};
+{};
 
 /**
  * Destructor. Better use purgeInstance().
  */
-logger::~logger() {
-  verbosity = 2;
-}
+logger::~logger() {}
 
 CONSTRUCT_SINGLETON(logger)
Index: src/Parser/ChangeTracker.cpp
===================================================================
--- src/Parser/ChangeTracker.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/Parser/ChangeTracker.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -16,7 +16,7 @@
  */
 ChangeTracker::ChangeTracker() :
-  Observable("ChangeTracker")
+  Observable("ChangeTracker"),
+  isConsistent(true)
 {
-  isConsistent = true;
   World::getInstance().signOn(this);
 }
Index: src/Parser/FormatParser.cpp
===================================================================
--- src/Parser/FormatParser.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/Parser/FormatParser.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -17,8 +17,8 @@
  */
 FormatParser::FormatParser() :
-  Observer("FormatParser")
+  Observer("FormatParser"),
+  saveStream(NULL)
 {
   ChangeTracker::getInstance().signOn(this);
-  saveStream = NULL;
 }
 
Index: src/Parser/MpqcParser.cpp
===================================================================
--- src/Parser/MpqcParser.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/Parser/MpqcParser.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -22,14 +22,11 @@
  */
 MpqcParser::MpqcParser() : HessianPresent(false)
-{
-
-}
+{}
 
 /** Destructor of MpqcParser.
  *
  */
-MpqcParser::~MpqcParser() {
-
-}
+MpqcParser::~MpqcParser()
+{}
 
 /** Load an MPQC config file into the World.
Index: src/Parser/PcpParser.cpp
===================================================================
--- src/Parser/PcpParser.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/Parser/PcpParser.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -24,74 +24,102 @@
 #include "Box.hpp"
 
+
+PcpParser::StructParallelization::StructParallelization() :
+  ProcPEGamma(8),
+  ProcPEPsi(1)
+{}
+
+PcpParser::StructParallelization::~StructParallelization()
+{}
+
+PcpParser::StructPaths::StructPaths() :
+  databasepath(NULL),
+  configname(NULL),
+  mainname(NULL),
+  defaultpath(NULL),
+  pseudopotpath(NULL)
+{}
+
+PcpParser::StructPaths::~StructPaths()
+{}
+
+PcpParser::StructSwitches::StructSwitches() :
+  DoConstrainedMD(0),
+  DoOutVis(0),
+  DoOutMes(1),
+  DoOutNICS(0),
+  DoOutOrbitals(0),
+  DoOutCurrent(0),
+  DoFullCurrent(0),
+  DoPerturbation(0),
+  DoWannier(0)
+{}
+
+PcpParser::StructSwitches::~StructSwitches()
+{}
+
+PcpParser::StructLocalizedOrbitals::StructLocalizedOrbitals() :
+  CommonWannier(0),
+  SawtoothStart(0.01),
+  VectorPlane(0),
+  VectorCut(0),
+  UseAddGramSch(1),
+  Seed(1),
+  EpsWannier(1e-7)
+{}
+
+PcpParser::StructLocalizedOrbitals::~StructLocalizedOrbitals()
+{}
+
+PcpParser::StructStepCounts::StructStepCounts() :
+  MaxMinStopStep(1),
+  InitMaxMinStopStep(1),
+  OutVisStep(10),
+  OutSrcStep(5),
+  MaxPsiStep(0),
+  MaxOuterStep(0),
+  MaxMinStep(100),
+  RelEpsTotalEnergy(1e-07),
+  RelEpsKineticEnergy(1e-05),
+  MaxMinGapStopStep(0),
+  MaxInitMinStep(100),
+  InitRelEpsTotalEnergy(1e-05),
+  InitRelEpsKineticEnergy(0.0001),
+  InitMaxMinGapStopStep(0)
+{}
+
+PcpParser::StructStepCounts::~StructStepCounts()
+{}
+
+PcpParser::StructPlaneWaveSpecifics::StructPlaneWaveSpecifics() :
+  PsiType(0),
+  MaxPsiDouble(0),
+  PsiMaxNoUp(0),
+  PsiMaxNoDown(0),
+  ECut(128),
+  MaxLevel(5),
+  RiemannTensor(0),
+  LevRFactor(0),
+  RiemannLevel(0),
+  Lev0Factor(2),
+  RTActualUse(0),
+  AddPsis(0),
+  RCut(20)
+{}
+
+PcpParser::StructPlaneWaveSpecifics::~StructPlaneWaveSpecifics()
+{}
+
 /** Constructor of PcpParser.
  *
  */
-PcpParser::PcpParser()
-{
-  Parallelization.ProcPEGamma = 8;
-  Parallelization.ProcPEPsi = 1;
-
-  Paths.databasepath = NULL;
-  Paths.configname = NULL;
-  Paths.mainname = NULL;
-  Paths.defaultpath = NULL;
-  Paths.pseudopotpath = NULL;
-
-  Switches.DoConstrainedMD = 0;
-  Switches.DoOutVis = 0;
-  Switches.DoOutMes = 1;
-  Switches.DoOutNICS = 0;
-  Switches.DoOutOrbitals = 0;
-  Switches.DoOutCurrent = 0;
-  Switches.DoFullCurrent = 0;
-  Switches.DoPerturbation = 0;
-  Switches.DoWannier = 0;
-
-  LocalizedOrbitals.CommonWannier = 0;
-  LocalizedOrbitals.SawtoothStart = 0.01;
-  LocalizedOrbitals.VectorPlane = 0;
-  LocalizedOrbitals.VectorCut = 0;
-  LocalizedOrbitals.UseAddGramSch = 1;
-  LocalizedOrbitals.Seed = 1;
-  LocalizedOrbitals.EpsWannier = 1e-7;
-
-  StepCounts.MaxMinStopStep = 1;
-  StepCounts.InitMaxMinStopStep = 1;
-  StepCounts.OutVisStep = 10;
-  StepCounts.OutSrcStep = 5;
-  StepCounts.MaxPsiStep = 0;
-  StepCounts.MaxOuterStep = 0;
-  StepCounts.MaxMinStep = 100;
-  StepCounts.RelEpsTotalEnergy = 1e-07;
-  StepCounts.RelEpsKineticEnergy = 1e-05;
-  StepCounts.MaxMinGapStopStep = 0;
-  StepCounts.MaxInitMinStep = 100;
-  StepCounts.InitRelEpsTotalEnergy = 1e-05;
-  StepCounts.InitRelEpsKineticEnergy = 0.0001;
-  StepCounts.InitMaxMinGapStopStep = 0;
-
-  PlaneWaveSpecifics.PsiType = 0;
-  PlaneWaveSpecifics.MaxPsiDouble = 0;
-  PlaneWaveSpecifics.PsiMaxNoUp = 0;
-  PlaneWaveSpecifics.PsiMaxNoDown = 0;
-  PlaneWaveSpecifics.ECut = 128;
-  PlaneWaveSpecifics.MaxLevel = 5;
-  PlaneWaveSpecifics.RiemannTensor = 0;
-  PlaneWaveSpecifics.LevRFactor = 0;
-  PlaneWaveSpecifics.RiemannLevel = 0;
-  PlaneWaveSpecifics.Lev0Factor = 2;
-  PlaneWaveSpecifics.RTActualUse = 0;
-  PlaneWaveSpecifics.AddPsis = 0;
-  PlaneWaveSpecifics.RCut = 20;
-  PlaneWaveSpecifics.PsiType = 0;
-
-  FastParsing = false;
-
-  Deltat = 0.01;
-  IsAngstroem = 1;
-  RelativeCoord = 0;
-  StructOpt = 0;
-  MaxTypes = 0;
-}
+PcpParser::PcpParser() :
+  FastParsing(false),
+  Deltat(0.01),
+  IsAngstroem(1),
+  RelativeCoord(0),
+  StructOpt(0),
+  MaxTypes(0)
+{}
 
 /** Destructor of PcpParser.
Index: src/Parser/PcpParser.hpp
===================================================================
--- src/Parser/PcpParser.hpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/Parser/PcpParser.hpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -31,5 +31,9 @@
   void CalculateOrbitals(vector<atom *> &allatoms);
 
-  struct StructParallelization {
+  class StructParallelization {
+  public:
+    StructParallelization();
+    ~StructParallelization();
+
     int ProcPEGamma;
     int ProcPEPsi;
@@ -39,5 +43,9 @@
    * Contains all the paths and names
    */
-  struct StructPaths {
+  class StructPaths {
+  public:
+    StructPaths();
+    ~StructPaths();
+
     char *databasepath;
     char *configname;
@@ -50,5 +58,9 @@
    * Contains all Do/Don't switches
    */
-  struct StructSwitches {
+  class StructSwitches {
+  public:
+    StructSwitches();
+    ~StructSwitches();
+
     int DoConstrainedMD;
     int DoOutVis;
@@ -65,5 +77,9 @@
    * Contains parameters regarding localization of orbitals or magnetic perturbation
    */
-  struct StructLocalizedOrbitals {
+  class StructLocalizedOrbitals {
+  public:
+    StructLocalizedOrbitals();
+    ~StructLocalizedOrbitals();
+
     int CommonWannier;
     double SawtoothStart;
@@ -78,5 +94,9 @@
    * Contains all step count and other epsilon threshold parameters
    */
-  struct StructStepCounts {
+  class StructStepCounts {
+  public:
+    StructStepCounts();
+    ~StructStepCounts();
+
     int MaxMinStopStep;
     int InitMaxMinStopStep;
@@ -101,5 +121,9 @@
    * Contains all parameters specific to the plane wave basis set
    */
-  struct StructPlaneWaveSpecifics {
+  class StructPlaneWaveSpecifics {
+  public:
+    StructPlaneWaveSpecifics();
+    ~StructPlaneWaveSpecifics();
+
     int PsiType;
     int MaxPsiDouble;
Index: src/Parser/TremoloParser.cpp
===================================================================
--- src/Parser/TremoloParser.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/Parser/TremoloParser.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -390,23 +390,23 @@
 
 
-TremoloAtomInfoContainer::TremoloAtomInfoContainer() {
-  F = "0";
-  stress = "0";
-  imprData = "-";
-  GroupMeasureTypeNo = "0";
-  extType = "-";
-  name = "-";
-  resName = "-";
-  chainID = "0";
-  resSeq = "0";
-  occupancy = "0";
-  tempFactor = "0";
-  segID = "0";
-  Charge = "0";
-  charge = "0";
-  GrpTypeNo = "0";
-  torsion = "-";
-  neighbors = vector<int>(0, 5);
-}
+TremoloAtomInfoContainer::TremoloAtomInfoContainer() :
+  F("0"),
+  stress("0"),
+  imprData("-"),
+  GroupMeasureTypeNo("0"),
+  extType("-"),
+  name("-"),
+  resName("-"),
+  chainID("0"),
+  resSeq("0"),
+  occupancy("0"),
+  tempFactor("0"),
+  segID("0"),
+  Charge("0"),
+  charge("0"),
+  GrpTypeNo("0"),
+  torsion("-"),
+  neighbors(vector<int>(0, 5))
+{}
 
 void TremoloAtomInfoContainer::set(TremoloKey::atomDataKey key, string value) {
Index: src/Parser/XyzParser.cpp
===================================================================
--- src/Parser/XyzParser.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/Parser/XyzParser.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -22,7 +22,7 @@
  * Constructor.
  */
-XyzParser::XyzParser() {
-  comment = "";
-}
+XyzParser::XyzParser() :
+  comment("")
+{}
 
 /**
Index: src/ThermoStatContainer.cpp
===================================================================
--- src/ThermoStatContainer.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/ThermoStatContainer.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -17,6 +17,13 @@
  *
  */
-ThermoStatContainer::ThermoStatContainer() : Thermostat(4), ThermostatImplemented(NULL),
-ThermostatNames(NULL), TempFrequency(2.5), alpha(0.), HooverMass(0.), TargetTemp(0.00095004455), ScaleTempStep(25)
+ThermoStatContainer::ThermoStatContainer() :
+  Thermostat(4),
+  ThermostatImplemented(NULL),
+  ThermostatNames(NULL),
+  TempFrequency(2.5),
+  alpha(0.),
+  HooverMass(0.),
+  TargetTemp(0.00095004455),
+  ScaleTempStep(25)
 {
   ThermostatImplemented = new int[MaxThermostats];
Index: src/UIElements/Menu/DisplayMenuItem.cpp
===================================================================
--- src/UIElements/Menu/DisplayMenuItem.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/UIElements/Menu/DisplayMenuItem.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -16,7 +16,7 @@
 
 DisplayMenuItem::DisplayMenuItem(Menu* _menu, StringView *_view):
-MenuItem('\0',"",_menu),
-view(_view),
-title("")
+  MenuItem('\0',"",_menu),
+  view(_view),
+  title("")
 {
 }
Index: src/UIElements/Menu/MenuItem.cpp
===================================================================
--- src/UIElements/Menu/MenuItem.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/UIElements/Menu/MenuItem.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -18,6 +18,6 @@
  */
 MenuItem::MenuItem(char _trigger, const char* _description,Menu* menu) :
-trigger(_trigger),
-added(false)
+  trigger(_trigger),
+  added(false)
 {
   description = new string(_description);
Index: src/UIElements/Menu/SeperatorItem.cpp
===================================================================
--- src/UIElements/Menu/SeperatorItem.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/UIElements/Menu/SeperatorItem.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -17,7 +17,7 @@
 
 SeperatorItem::SeperatorItem(Menu* menu):
-MenuItem('\0',"",menu),
-spacer(STD_SEPERATOR_SPACER),
-length(STD_MENU_LENGTH)
+  MenuItem('\0',"",menu),
+  spacer(STD_SEPERATOR_SPACER),
+  length(STD_MENU_LENGTH)
 {
   // TODO Auto-generated constructor stub
@@ -26,7 +26,7 @@
 
 SeperatorItem::SeperatorItem(Menu* menu,char _spacer, int _length):
-MenuItem('\0',"",menu),
-spacer(_spacer),
-length(_length)
+  MenuItem('\0',"",menu),
+  spacer(_spacer),
+  length(_length)
 {
   // TODO Auto-generated constructor stub
Index: src/UIElements/Menu/SubMenuItem.cpp
===================================================================
--- src/UIElements/Menu/SubMenuItem.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/UIElements/Menu/SubMenuItem.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -11,6 +11,6 @@
 
 SubMenuItem::SubMenuItem(char _trigger,const char* _description,Menu* _parent, Menu* _theMenu) :
-MenuItem(_trigger,_description,_parent),
-theMenu(_theMenu)
+  MenuItem(_trigger,_description,_parent),
+  theMenu(_theMenu)
 {
 }
Index: src/UIElements/Menu/TextMenu.cpp
===================================================================
--- src/UIElements/Menu/TextMenu.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/UIElements/Menu/TextMenu.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -113,6 +113,6 @@
 
 TextMenu::LeaveAction::LeaveAction(TextMenu* _menu) :
-Action(nameBase+_menu->getTitle()),
-menu(_menu)
+  Action(nameBase+_menu->getTitle()),
+  menu(_menu)
 {}
 
Index: src/UIElements/QT4/QTUIFactory.cpp
===================================================================
--- src/UIElements/QT4/QTUIFactory.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/UIElements/QT4/QTUIFactory.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -20,8 +20,8 @@
 #include "Helpers/MemDebug.hpp"
 
-QTUIFactory::QTUIFactory()
+QTUIFactory::QTUIFactory() :
+  argc(1)
 {
   // For now we just fake the command line parameters to make QT happy
-  argc=1;
   argv = new char*[1];
   argv[0] = new char[256];
Index: src/UIElements/Views/MethodStringView.cpp
===================================================================
--- src/UIElements/Views/MethodStringView.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/UIElements/Views/MethodStringView.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -13,6 +13,6 @@
 
 MethodStringView::MethodStringView(boost::function<string()> _displayMethod) :
-StringView(),
-displayMethod(_displayMethod)
+  StringView(),
+  displayMethod(_displayMethod)
 {
   // TODO Auto-generated constructor stub
Index: src/UIElements/Views/StreamStringView.cpp
===================================================================
--- src/UIElements/Views/StreamStringView.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/UIElements/Views/StreamStringView.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -16,6 +16,6 @@
 
 StreamStringView::StreamStringView(boost::function<void(ostream *)> _displayMethod) :
-StringView(),
-displayMethod(_displayMethod)
+  StringView(),
+  displayMethod(_displayMethod)
 {}
 
Index: src/atom.cpp
===================================================================
--- src/atom.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/atom.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -27,5 +27,7 @@
  */
 atom::atom() :
-  father(this), sort(&nr), mol(0)
+  father(this),
+  sort(&nr),
+  mol(0)
 {};
 
@@ -33,5 +35,7 @@
  */
 atom::atom(atom *pointer) :
-    ParticleInfo(pointer),father(pointer), sort(&nr)
+    ParticleInfo(pointer),
+    father(pointer),
+    sort(&nr)
 {
   setType(pointer->getType());  // copy element of atom
Index: src/atom_atominfo.cpp
===================================================================
--- src/atom_atominfo.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/atom_atominfo.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -15,11 +15,18 @@
 /** Constructor of class AtomInfo.
  */
-AtomInfo::AtomInfo() : AtomicElement(NULL) {};
+AtomInfo::AtomInfo() :
+  AtomicElement(NULL)
+{};
 
 /** Copy constructor of class AtomInfo.
  */
-AtomInfo::AtomInfo(const AtomInfo &_atom) : AtomicPosition(_atom.AtomicPosition), AtomicElement(_atom.AtomicElement) {};
+AtomInfo::AtomInfo(const AtomInfo &_atom) :
+    AtomicPosition(_atom.AtomicPosition),
+    AtomicElement(_atom.AtomicElement)
+{};
 
-AtomInfo::AtomInfo(const VectorInterface &_v) : AtomicPosition(_v.getPosition()), AtomicElement(NULL)
+AtomInfo::AtomInfo(const VectorInterface &_v) :
+    AtomicPosition(_v.getPosition()),
+    AtomicElement(NULL)
 {};
 
Index: src/atom_bondedparticleinfo.cpp
===================================================================
--- src/atom_bondedparticleinfo.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/atom_bondedparticleinfo.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -12,5 +12,8 @@
 /** Constructor of class BondedParticleInfo.
  */
-BondedParticleInfo::BondedParticleInfo() : AdaptiveOrder(0), MaxOrder(false) {};
+BondedParticleInfo::BondedParticleInfo() :
+  AdaptiveOrder(0),
+  MaxOrder(false)
+{};
 
 /** Destructor of class BondedParticleInfo.
Index: src/atom_graphnodeinfo.cpp
===================================================================
--- src/atom_graphnodeinfo.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/atom_graphnodeinfo.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -12,5 +12,12 @@
 /** Constructor of class GraphNodeInfo.
  */
-GraphNodeInfo::GraphNodeInfo() : GraphNr(-1), ComponentNr(0), LowpointNr(-1), SeparationVertex(false), IsCyclic(false), Ancestor(0) {};
+GraphNodeInfo::GraphNodeInfo() :
+  GraphNr(-1),
+  ComponentNr(0),
+  LowpointNr(-1),
+  SeparationVertex(false),
+  IsCyclic(false),
+  Ancestor(0)
+{};
 
 /** Destructor of class GraphNodeInfo.
Index: src/atom_particleinfo.cpp
===================================================================
--- src/atom_particleinfo.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/atom_particleinfo.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -14,11 +14,13 @@
 /** Constructor of ParticleInfo.
  */
-ParticleInfo::ParticleInfo() : nr(-1), name("Unknown") {
-};
+ParticleInfo::ParticleInfo() :
+  nr(-1),
+  name("Unknown")
+{};
 
 ParticleInfo::ParticleInfo(ParticleInfo *pointer) :
-    nr(pointer->nr),
-    name(pointer->name)
-    {}
+  nr(pointer->nr),
+  name(pointer->name)
+{}
 
 
Index: src/atom_trajectoryparticleinfo.cpp
===================================================================
--- src/atom_trajectoryparticleinfo.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/atom_trajectoryparticleinfo.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -12,5 +12,7 @@
 /** Constructor of class TrajectoryParticleInfo.
  */
-TrajectoryParticleInfo::TrajectoryParticleInfo() : FixedIon(0) {};
+TrajectoryParticleInfo::TrajectoryParticleInfo() :
+  FixedIon(0)
+{};
 
 /** Destructor of class TrajectoryParticleInfo.
Index: src/bond.cpp
===================================================================
--- src/bond.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/bond.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -19,9 +19,16 @@
 /** Empty Constructor for class bond.
  */
-bond::bond()
-  : leftatom(NULL), rightatom(NULL), previous(NULL), next(NULL), HydrogenBond(0),
-    BondDegree(0), nr(-1), Cyclic(false), Type(Undetermined), Used(white)
-{
-};
+bond::bond() :
+  leftatom(NULL),
+  rightatom(NULL),
+  previous(NULL),
+  next(NULL),
+  HydrogenBond(0),
+  BondDegree(0),
+  nr(-1),
+  Cyclic(false),
+  Type(Undetermined),
+  Used(white)
+{};
 
 /** Constructor for class bond, taking right and left bond partner
@@ -31,7 +38,15 @@
  * \param number increasing index
  */
-bond::bond(atom *left, atom *right, const int degree, const int number)
-  : leftatom(left), rightatom(right), previous(NULL), next(NULL), HydrogenBond(0),
-    BondDegree(degree), nr(number), Cyclic(false), Type(Undetermined), Used(white)
+bond::bond(atom *left, atom *right, const int degree, const int number) :
+  leftatom(left),
+  rightatom(right),
+  previous(NULL),
+  next(NULL),
+  HydrogenBond(0),
+  BondDegree(degree),
+  nr(number),
+  Cyclic(false),
+  Type(Undetermined),
+  Used(white)
 {
   if ((left != NULL) && (right != NULL)) {
Index: src/bondgraph.cpp
===================================================================
--- src/bondgraph.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/bondgraph.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -27,7 +27,9 @@
  * This classes contains typical bond lengths and thus may be used to construct a bond graph for a given molecule.
  */
-BondGraph::BondGraph(bool IsA) : BondLengthMatrix(NULL), max_distance(0), IsAngstroem(IsA)
-{
-};
+BondGraph::BondGraph(bool IsA) :
+    BondLengthMatrix(NULL),
+    max_distance(0),
+    IsAngstroem(IsA)
+{};
 
 /** Destructor of class BondGraph.
Index: src/config.cpp
===================================================================
--- src/config.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/config.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -33,11 +33,65 @@
 /** Constructor for config file class.
  */
-config::config() : BG(NULL), Thermostats(0), PsiType(0), MaxPsiDouble(0), PsiMaxNoUp(0), PsiMaxNoDown(0), MaxMinStopStep(1), InitMaxMinStopStep(1), ProcPEGamma(8), ProcPEPsi(1),
-    configname(NULL), FastParsing(false), Deltat(0.01), basis(""), databasepath(NULL), DoConstrainedMD(0), MaxOuterStep(0), mainname(NULL), defaultpath(NULL), pseudopotpath(NULL),
-    DoOutVis(0), DoOutMes(1), DoOutNICS(0), DoOutOrbitals(0), DoOutCurrent(0), DoFullCurrent(0), DoPerturbation(0), DoWannier(0), CommonWannier(0), SawtoothStart(0.01),
-    VectorPlane(0), VectorCut(0.), UseAddGramSch(1), Seed(1), OutVisStep(10), OutSrcStep(5), MaxPsiStep(0), EpsWannier(1e-7), MaxMinStep(100), RelEpsTotalEnergy(1e-7),
-    RelEpsKineticEnergy(1e-5), MaxMinGapStopStep(0), MaxInitMinStep(100), InitRelEpsTotalEnergy(1e-5), InitRelEpsKineticEnergy(1e-4), InitMaxMinGapStopStep(0), ECut(128.),
-    MaxLevel(5), RiemannTensor(0), LevRFactor(0), RiemannLevel(0), Lev0Factor(2), RTActualUse(0), AddPsis(0), RCut(20.), StructOpt(0), IsAngstroem(1), RelativeCoord(0),
-    MaxTypes(0) {
+config::config() :
+  BG(NULL),
+  Thermostats(0),
+  PsiType(0),
+  MaxPsiDouble(0),
+  PsiMaxNoUp(0),
+  PsiMaxNoDown(0),
+  MaxMinStopStep(1),
+  InitMaxMinStopStep(1),
+  ProcPEGamma(8),
+  ProcPEPsi(1),
+  configname(NULL),
+  FastParsing(false),
+  Deltat(0.01),
+  basis(""),
+  databasepath(NULL),
+  DoConstrainedMD(0),
+  MaxOuterStep(0),
+  mainname(NULL),
+  defaultpath(NULL),
+  pseudopotpath(NULL),
+  DoOutVis(0),
+  DoOutMes(1),
+  DoOutNICS(0),
+  DoOutOrbitals(0),
+  DoOutCurrent(0),
+  DoFullCurrent(0),
+  DoPerturbation(0),
+  DoWannier(0),
+  CommonWannier(0),
+  SawtoothStart(0.01),
+  VectorPlane(0),
+  VectorCut(0.),
+  UseAddGramSch(1),
+  Seed(1),
+  OutVisStep(10),
+  OutSrcStep(5),
+  MaxPsiStep(0),
+  EpsWannier(1e-7),
+  MaxMinStep(100),
+  RelEpsTotalEnergy(1e-7),
+  RelEpsKineticEnergy(1e-5),
+  MaxMinGapStopStep(0),
+  MaxInitMinStep(100),
+  InitRelEpsTotalEnergy(1e-5),
+  InitRelEpsKineticEnergy(1e-4),
+  InitMaxMinGapStopStep(0),
+  ECut(128.),
+  MaxLevel(5),
+  RiemannTensor(0),
+  LevRFactor(0),
+  RiemannLevel(0),
+  Lev0Factor(2),
+  RTActualUse(0),
+  AddPsis(0),
+  RCut(20.),
+  StructOpt(0),
+  IsAngstroem(1),
+  RelativeCoord(0),
+  MaxTypes(0)
+{
   mainname = new char[MAXSTRINGSIZE];
   defaultpath = new char[MAXSTRINGSIZE];
Index: src/linkedcell.cpp
===================================================================
--- src/linkedcell.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/linkedcell.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -21,11 +21,11 @@
 /** Constructor for class LinkedCell.
  */
-LinkedCell::LinkedCell()
-{
-  LC = NULL;
+LinkedCell::LinkedCell() :
+  LC(NULL),
+  index(-1),
+  RADIUS(0.)
+{
   for(int i=0;i<NDIM;i++)
     N[i] = 0;
-  index = -1;
-  RADIUS = 0.;
   max.Zero();
   min.Zero();
@@ -36,13 +36,13 @@
  * \param RADIUS edge length of cells
  */
-LinkedCell::LinkedCell(const PointCloud * const set, const double radius)
+LinkedCell::LinkedCell(const PointCloud * const set, const double radius) :
+  RADIUS(radius),
+  LC(NULL),
+  index(-1)
 {
   TesselPoint *Walker = NULL;
 
-  RADIUS = radius;
-  LC = NULL;
   for(int i=0;i<NDIM;i++)
     N[i] = 0;
-  index = -1;
   max.Zero();
   min.Zero();
@@ -112,12 +112,12 @@
  * \param RADIUS edge length of cells
  */
-LinkedCell::LinkedCell(LinkedNodes *set, const double radius)
+LinkedCell::LinkedCell(LinkedNodes *set, const double radius) :
+  RADIUS(radius),
+  LC(NULL),
+  index(-1)
 {
   class TesselPoint *Walker = NULL;
-  RADIUS = radius;
-  LC = NULL;
   for(int i=0;i<NDIM;i++)
     N[i] = 0;
-  index = -1;
   max.Zero();
   min.Zero();
Index: src/moleculelist.cpp
===================================================================
--- src/moleculelist.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/moleculelist.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -44,10 +44,7 @@
 MoleculeListClass::MoleculeListClass(World *_world) :
   Observable("MoleculeListClass"),
-  world(_world)
-{
-  // empty lists
-  ListOfMolecules.clear();
-  MaxIndex = 1;
-};
+  world(_world),
+  MaxIndex(1)
+{};
 
 /** Destructor for MoleculeListClass.
@@ -953,5 +950,7 @@
  */
 //MoleculeLeafClass::MoleculeLeafClass(MoleculeLeafClass *Up = NULL, MoleculeLeafClass *Previous = NULL)
-MoleculeLeafClass::MoleculeLeafClass(MoleculeLeafClass *PreviousLeaf = NULL)
+MoleculeLeafClass::MoleculeLeafClass(MoleculeLeafClass *PreviousLeaf = NULL) :
+  Leaf(NULL),
+  previous(PreviousLeaf)
 {
   //  if (Up != NULL)
@@ -960,6 +959,4 @@
   //  UpLeaf = Up;
   //  DownLeaf = NULL;
-  Leaf = NULL;
-  previous = PreviousLeaf;
   if (previous != NULL) {
     MoleculeLeafClass *Walker = previous->next;
Index: src/parser.cpp
===================================================================
--- src/parser.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/parser.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -59,6 +59,7 @@
 /** Constructor of MatrixContainer class.
  */
-MatrixContainer::MatrixContainer() {
-  Indices = NULL;
+MatrixContainer::MatrixContainer() :
+  Indices(NULL)
+{
   Header = new char*[1];
   Matrix = new double**[1]; // one more each for the total molecule
@@ -850,8 +851,8 @@
 /** Constructor for class HessianMatrix.
  */
-HessianMatrix::HessianMatrix() : MatrixContainer() 
-{
-   IsSymmetric = true;
-}
+HessianMatrix::HessianMatrix() :
+  MatrixContainer(),
+  IsSymmetric(true)
+{}
 
 /** Sums the hessian entries with each factor and put into last element of \a ***Matrix.
@@ -995,12 +996,12 @@
 /** Constructor of KeySetsContainer class.
  */
-KeySetsContainer::KeySetsContainer() {
-  KeySets = NULL;
-  AtomCounter = NULL;
-  FragmentCounter = 0;
-  Order = 0;
-  FragmentsPerOrder = 0;
-  OrderSet = NULL;
-};
+KeySetsContainer::KeySetsContainer() :
+  KeySets(NULL),
+  AtomCounter(NULL),
+  FragmentCounter(0),
+  Order(0),
+  FragmentsPerOrder(0),
+  OrderSet(NULL)
+{};
 
 /** Destructor of KeySetsContainer class.
Index: src/tesselation.cpp
===================================================================
--- src/tesselation.cpp	(revision 5b4605879f206787e91bf952de2889919646bf52)
+++ src/tesselation.cpp	(revision 97b8250638c1abf3f888625d1d3888a08cb06cb2)
@@ -45,5 +45,10 @@
  */
 Tesselation::Tesselation() :
-  PointsOnBoundaryCount(0), LinesOnBoundaryCount(0), TrianglesOnBoundaryCount(0), LastTriangle(NULL), TriangleFilesWritten(0), InternalPointer(PointsOnBoundary.begin())
+  PointsOnBoundaryCount(0),
+  LinesOnBoundaryCount(0),
+  TrianglesOnBoundaryCount(0),
+  LastTriangle(NULL),
+  TriangleFilesWritten(0),
+  InternalPointer(PointsOnBoundary.begin())
 {
   Info FunctionInfo(__func__);
